<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>UserServiceImpl</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="declaration: package: com.eoi.springwebsecurity.security.service, class: UserServiceImpl">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html#class">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Summary:</p>
<ul>
<li>Nested</li>
<li><a href="#field-summary">Field</a></li>
<li><a href="#constructor-summary">Constr</a></li>
<li><a href="#method-summary">Method</a></li>
</ul>
</li>
<li>
<p>Detail:</p>
<ul>
<li><a href="#field-detail">Field</a></li>
<li><a href="#constructor-detail">Constr</a></li>
<li><a href="#method-detail">Method</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="../../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">com.eoi.springwebsecurity.security.service</a></div>
<h1 title="Class UserServiceImpl" class="title">Class UserServiceImpl</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">com.eoi.springwebsecurity.security.service.UserServiceImpl</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="annotations">@Service
</span><span class="modifiers">public class </span><span class="element-name type-name-label">UserServiceImpl</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>
implements <a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></span></div>
<div class="block">The type User service.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="#defaultUserRole" class="member-name-link">defaultUserRole</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>private final org.springframework.security.crypto.password.PasswordEncoder</code></div>
<div class="col-second odd-row-color"><code><a href="#passwordEncoder" class="member-name-link">passwordEncoder</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>private final <a href="../../coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></code></div>
<div class="col-second even-row-color"><code><a href="#roleRepository" class="member-name-link">roleRepository</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>private final <a href="../../coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></code></div>
<div class="col-second odd-row-color"><code><a href="#userRepository" class="member-name-link">userRepository</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(com.eoi.springwebsecurity.coreapp.repositories.UserRepository,com.eoi.springwebsecurity.coreapp.repositories.RoleRepository,org.springframework.security.crypto.password.PasswordEncoder)" class="member-name-link">UserServiceImpl</a><wbr>(<a href="../../coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a>&nbsp;userRepository,
 <a href="../../coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a>&nbsp;roleRepository,
 org.springframework.security.crypto.password.PasswordEncoder&nbsp;passwordEncoder)</code></div>
<div class="col-last even-row-color">
<div class="block">Instantiates a new User service.</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>private <a href="../../coreapp/entities/Role.html" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#addRoleIfNotExists()" class="member-name-link">addRoleIfNotExists</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#findAllUsers()" class="member-name-link">findAllUsers</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Find all users list.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#findUserByEmail(java.lang.String)" class="member-name-link">findUserByEmail</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;email)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Find user by email user.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getByResetPasswordToken(java.lang.String)" class="member-name-link">getByResetPasswordToken</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;token)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Gets by reset password token.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>private <a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#mapToUserDto(com.eoi.springwebsecurity.coreapp.entities.User)" class="member-name-link">mapToUserDto</a><wbr>(<a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a>&nbsp;user)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)" class="member-name-link">saveUser</a><wbr>(<a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a>&nbsp;userDto)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Save user.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)" class="member-name-link">updatePassword</a><wbr>(<a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a>&nbsp;user,
 <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;newPassword)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Update password.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#updateResetPasswordToken(java.lang.String,java.lang.String)" class="member-name-link">updateResetPasswordToken</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;token,
 <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;email)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Update reset password token.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="userRepository">
<h3>userRepository</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type"><a href="../../coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></span>&nbsp;<span class="element-name">userRepository</span></div>
</section>
</li>
<li>
<section class="detail" id="roleRepository">
<h3>roleRepository</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type"><a href="../../coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></span>&nbsp;<span class="element-name">roleRepository</span></div>
</section>
</li>
<li>
<section class="detail" id="passwordEncoder">
<h3>passwordEncoder</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type">org.springframework.security.crypto.password.PasswordEncoder</span>&nbsp;<span class="element-name">passwordEncoder</span></div>
</section>
</li>
<li>
<section class="detail" id="defaultUserRole">
<h3>defaultUserRole</h3>
<div class="member-signature"><span class="annotations">@Value("${default.user.role}")
</span><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">defaultUserRole</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(com.eoi.springwebsecurity.coreapp.repositories.UserRepository,com.eoi.springwebsecurity.coreapp.repositories.RoleRepository,org.springframework.security.crypto.password.PasswordEncoder)">
<h3>UserServiceImpl</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">UserServiceImpl</span><wbr><span class="parameters">(<a href="../../coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a>&nbsp;userRepository,
 <a href="../../coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a>&nbsp;roleRepository,
 org.springframework.security.crypto.password.PasswordEncoder&nbsp;passwordEncoder)</span></div>
<div class="block">Instantiates a new User service.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>userRepository</code> - the user repository</dd>
<dd><code>roleRepository</code> - the role repository</dd>
<dd><code>passwordEncoder</code> - the password encoder</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)">
<h3>saveUser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">saveUser</span><wbr><span class="parameters">(<a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a>&nbsp;userDto)</span></div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)">UserService</a></code></span></div>
<div class="block">Save user.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#saveUser(com.eoi.springwebsecurity.coreapp.dto.UserDto)">saveUser</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Parameters:</dt>
<dd><code>userDto</code> - the user dto</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="findUserByEmail(java.lang.String)">
<h3>findUserByEmail</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></span>&nbsp;<span class="element-name">findUserByEmail</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;email)</span></div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#findUserByEmail(java.lang.String)">UserService</a></code></span></div>
<div class="block">Find user by email user.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#findUserByEmail(java.lang.String)">findUserByEmail</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Parameters:</dt>
<dd><code>email</code> - the email</dd>
<dt>Returns:</dt>
<dd>the user</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="findAllUsers()">
<h3>findAllUsers</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a>&gt;</span>&nbsp;<span class="element-name">findAllUsers</span>()</div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#findAllUsers()">UserService</a></code></span></div>
<div class="block">Find all users list.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#findAllUsers()">findAllUsers</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Returns:</dt>
<dd>the list</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mapToUserDto(com.eoi.springwebsecurity.coreapp.entities.User)">
<h3>mapToUserDto</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="../../coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></span>&nbsp;<span class="element-name">mapToUserDto</span><wbr><span class="parameters">(<a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a>&nbsp;user)</span></div>
</section>
</li>
<li>
<section class="detail" id="addRoleIfNotExists()">
<h3>addRoleIfNotExists</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type"><a href="../../coreapp/entities/Role.html" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></span>&nbsp;<span class="element-name">addRoleIfNotExists</span>()</div>
</section>
</li>
<li>
<section class="detail" id="updateResetPasswordToken(java.lang.String,java.lang.String)">
<h3>updateResetPasswordToken</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">updateResetPasswordToken</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;token,
 <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;email)</span>
                              throws <span class="exceptions">org.springframework.security.core.userdetails.UsernameNotFoundException</span></div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#updateResetPasswordToken(java.lang.String,java.lang.String)">UserService</a></code></span></div>
<div class="block">Update reset password token.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#updateResetPasswordToken(java.lang.String,java.lang.String)">updateResetPasswordToken</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Parameters:</dt>
<dd><code>token</code> - the token</dd>
<dd><code>email</code> - the email</dd>
<dt>Throws:</dt>
<dd><code>org.springframework.security.core.userdetails.UsernameNotFoundException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getByResetPasswordToken(java.lang.String)">
<h3>getByResetPasswordToken</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></span>&nbsp;<span class="element-name">getByResetPasswordToken</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;token)</span></div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#getByResetPasswordToken(java.lang.String)">UserService</a></code></span></div>
<div class="block">Gets by reset password token.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#getByResetPasswordToken(java.lang.String)">getByResetPasswordToken</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Parameters:</dt>
<dd><code>token</code> - the token</dd>
<dt>Returns:</dt>
<dd>the by reset password token</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)">
<h3>updatePassword</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">updatePassword</span><wbr><span class="parameters">(<a href="../../coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a>&nbsp;user,
 <a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;newPassword)</span></div>
<div class="block"><span class="description-from-type-label">Description copied from interface:&nbsp;<code><a href="UserService.html#updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)">UserService</a></code></span></div>
<div class="block">Update password.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="UserService.html#updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)">updatePassword</a></code>&nbsp;in interface&nbsp;<code><a href="UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></code></dd>
<dt>Parameters:</dt>
<dd><code>user</code> - the user</dd>
<dd><code>newPassword</code> - the password</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
